Loading...
Searching...
No Matches
GeisGroup Class Reference
The Simplified GEIS Interface » Gesture Types » Gesture Primitives » Standard Gesture Types » Vendor Extension Gesture Types » Initialization and Cleanup » Configuration and Control | The Advanced GEIS Interface » The Geis API Object » Error Reporting » Configuration » Input Devices » Gesture Subscription » Attributes » Event Control » Input Devices » Gesture Classes » Gesture Regions » Gesture Filter » Gesture Subscription » Gesture Frames

A collection of gesture frames. More...

`#include <geis.h>`

## Public Member Functions

Touch Attributes

  Each touch has zero or more attributes associated with it. Differing hardware is capable of reporting differing sets of touch attributes, so there is no guarantee that any or all of the defined touch attributes will bre present.

If the touch comes from a direct device (see GEIS_DEVICE_ATTRIBUTE_DIRECT_TOUCH) its position (x and y attributes) will be in window coordinates, otherwise it will be in the input device's own coordinate system.

GeisInteger | geis_group_id (GeisGroup group)
| Gets the identifier of a gesture group.
GeisSize | geis_group_frame_count (GeisGroup group)
| Gets the number of gesture frames in a gesture group.
GeisFrame | geis_group_frame (GeisGroup group, GeisSize index)
| Gets an indicated gesture frame from a gesture group.
void | geis_group_reject (GeisGroup group)
| Marks a gesture group as rejected.

## Detailed Description

A collection of gesture frames.

Examples
  geis2.c.

The documentation for this class was generated from the following file:

- /build/geis-Y0ruej/geis-2.2.17+16.04.20160126/include/geis/geis.h